## gate.fsm
Class State

    java.lang.Object
      |
      +--gate.fsm.State

All Implemented Interfaces:
  JapeConstants, Serializable

public class State
extends Object
implements JapeConstants

This class implements a Finite State Machine state.

See Also:
  Serialized Form

Fields inherited from interface gate.jape.JapeConstants
`APPELT_STYLE, BRILL_STYLE, DEFAULT_PRIORITY, FIRST_STYLE, INDENT_PADDING, KLEENE_PLUS, KLEENE_QUERY, KLEENE_STAR, MULTI_SPAN_BINDING, NO_BINDING, NO_KLEENE_OP, SINGLE_SPAN_BINDING`

Constructor Summary
`State()` Build a new state.

Method Summary
`void` `addTransition(Transition transition)` Adds a new transition to the list of outgoing transitions for this state.
`RightHandSide` `getAction()` Gets the action associated to this state.
`String` `getEdgesGML()` Returns a GML (graph modelling language) representation for the edges corresponding to transitions departing from this state in the transition graph of the FSM to which this state belongs
`SimpleArraySet` `getTransitions()` Gets the set of transitions for this state.
`boolean` `isFinal()` Reports if this state is a final one.
`String` `toString()` Returns a textual description of this state

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### State

    public State()

  Build a new state.
  Parameters:
    `owner` - the FSM that owns this state.

Method Detail

### isFinal

    public boolean isFinal()

  Reports if this state is a final one. Note: A state has an associated action if and only if it is final.

### getTransitions

    public SimpleArraySet getTransitions()

  Gets the set of transitions for this state.
  Returns:
    a Set contining objects of type gate.fsm.Transition

### getAction

    public RightHandSide getAction()

  Gets the action associated to this state.
  Returns:
    a RightHandSide object

### addTransition

    public void addTransition(Transition transition)

  Adds a new transition to the list of outgoing transitions for this state.
  Parameters:
    `transition` - the transition to be added

### getEdgesGML

    public String getEdgesGML()

  Returns a GML (graph modelling language) representation for the edges corresponding to transitions departing from this state in the transition graph of the FSM to which this state belongs
  Returns:
    a string value contining the GML text

### toString

    public String toString()

  Returns a textual description of this state
  Overrides:
    `toString` in class `Object`
  Returns:
    a String value.